FRAME_XPOS_PERCENTAGE = function(context)
{
    return Math.round(100.0 * context.FRAME_XPOS_PIXELS / context.PAGE_WIDTH);
}

FRAME_YPOS_PERCENTAGE = function(context)
{
    return Math.round(100.0 * context.FRAME_YPOS_PIXELS / context.PAGE_HEIGHT);
}

FRAME_WIDTH_PERCENTAGE = function(context)
{
    return Math.round(100.0 * context.FRAME_WIDTH_PIXELS / context.PAGE_WIDTH);
}

FRAME_HEIGHT_PERCENTAGE = function(context)
{
    return Math.round(100.0 * context.FRAME_HEIGHT_PIXELS / context.PAGE_HEIGHT);
}

FRAME_XPOS_PERCENTAGE_WITH_INSET = function(context)
{
    return Math.round(100.0 * (context.FRAME_XPOS_PIXELS + context.FRAME_INSET_LEFT_PIXELS) / context.PAGE_WIDTH);
}

FRAME_YPOS_PERCENTAGE_WITH_INSET = function(context)
{
    return Math.round(100.0 * (context.FRAME_YPOS_PIXELS + context.FRAME_INSET_TOP_PIXELS) / context.PAGE_HEIGHT);
}

FRAME_WIDTH_PERCENTAGE_WITH_INSET = function(context)
{
    return Math.round(100.0 * (context.FRAME_WIDTH_PIXELS - context.FRAME_INSET_LEFT_PIXELS -  context.FRAME_INSET_RIGHT_PIXELS) / context.PAGE_WIDTH);
}

FRAME_HEIGHT_PERCENTAGE_WITH_INSET = function(context)
{
    return Math.round(100.0 * (context.FRAME_HEIGHT_PIXELS - context.FRAME_INSET_TOP_PIXELS -  context.FRAME_INSET_BOTTOM_PIXELS) / context.PAGE_HEIGHT);
}
